<?php
/////////////////////////////////////////////////////////////////////////////
// 这个文件是 网城创想多用户商城 项目的一部分
//
// Copyright (c) 2007 - 2008 www.shopnc.net 
//
// 要查看完整的版权信息和许可信息，请查看源代码中附带的 COPYRIGHT 文件，
// 或者访问 http://www.shopnc.net/ 获得详细信息。
/////////////////////////////////////////////////////////////////////////////

/**
 * FILE_NAME : channel.php   FILE_PATH : E:\www\multishop\trunk\home\channel.php
 * ....频道展示页面
 *
 * @copyright Copyright (c) 2007 - 2008 www.shopnc.net 
 * @author ShopNC Develop Team 
 * @package 
 * @subpackage 
 * @version Thu Dec 18 10:08:14 CST 2008
 */

require ("../global.inc.php");

class ShowChannel extends CommonFrameWork {
	/**
	 * 频道对象
	 *
	 * @var obj
	 */
	var $obj_html_channel;
	
	function main(){
		/**
		 * 创建首页和频道静态页面对象
		 */
		if (!is_object($this->obj_html_channel)){
			require_once("html.channel.php");
			$this->obj_html_channel = new HtmlChannelManage();
		}
		/**
		 * 语言包
		 */
		$this->getlang("channel");
		
		switch ($this->_input['action']){
			
			default:
				$this->_show();
		}
	}
	/**
	 * 频道展示
	 */
	function _show(){
		if (intval($this->_input['id']) > 0){
			$this->obj_html_channel->_make_channel_html(intval($this->_input['id']));
		}else {
			$this->redirectPath("error",'../index.php',$this->_lang['langChannelIdNonlicet']);
		}
	}
}
$showchannel = new ShowChannel();
$showchannel->main();
unset($showchannel);
?>